(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8446,        266]
NotebookOptionsPosition[      7898,        245]
NotebookOutlinePosition[      8240,        260]
CellTagsIndexPosition[      8197,        257]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.4250385161875*^9, 3.425038542265625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "''"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"x", "[", "t", "]"}]}], "+", 
     RowBox[{".1", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], "^", "2"}], "-", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "'"}], "[", "t", "]"}], "^", "2"}]}], ")"}], 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.42211953875*^9, 3.4221195673125*^9}, {
   3.42211992228125*^9, 3.42211992403125*^9}, 3.4250384544375*^9}],

Cell[BoxData[
 RowBox[{"nd", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eq1", ",", 
      RowBox[{
       RowBox[{"x", "[", "0", "]"}], "==", 
       RowBox[{"-", "1.5"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "1000"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.422119581484375*^9, 3.422119604828125*^9}, {
  3.4221196703125*^9, 3.422119688765625*^9}, {3.422119796546875*^9, 
  3.422119805515625*^9}, {3.42503843628125*^9, 3.425038459234375*^9}, {
  3.425257980703125*^9, 3.425257989859375*^9}}],

Cell[BoxData[{
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], "/.", "nd"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "1000"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"\:0632\:0627\:0648\:064a\:0647\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"\:0633\:0631\:0639\:062a\:200c\:0632\:0627\:0648\:064a\:0647\:200c\
\:0627\:064a\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], ",", "t"}], "}"}], "/.", "nd"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "50"}], "}"}], ",", 
   RowBox[{"BoxRatios", "\[Rule]", ".1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.425357154015625*^9, 3.425357250765625*^9}, {
  3.425360804953125*^9, 3.42536082003125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "''"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"x", "[", "t", "]"}]}], "+", 
     RowBox[{".1", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], "^", "2"}], "-", 
        RowBox[{
         RowBox[{
          RowBox[{"x", "'"}], "[", "t", "]"}], "^", "2"}]}], ")"}], 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{"b", " ", 
      RowBox[{"Cos", "[", 
       RowBox[{"w", " ", "t"}], "]"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", ".9"}], ";", 
  RowBox[{"w", "=", "2.47"}], ";"}]}], "Input",
 CellChangeTimes->{{3.422120022921875*^9, 3.4221200615625*^9}, {
  3.422120279375*^9, 3.42212027971875*^9}, {3.42503846471875*^9, 
  3.425038464875*^9}}],

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"eq2", ",", 
      RowBox[{
       RowBox[{"x", "[", "0", "]"}], "==", 
       RowBox[{"-", "1.5"}]}], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "635"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.4221200756875*^9, 3.4221200985625*^9}, {
  3.422120200390625*^9, 3.4221202109375*^9}, {3.422120295203125*^9, 
  3.4221203035625*^9}, {3.42503847028125*^9, 3.42503847875*^9}, {
  3.42525801221875*^9, 3.42525801353125*^9}}],

Cell[BoxData[{
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], "/.", "sol"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "10", ",", "100"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"\:0632\:0627\:0648\:064a\:0647\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"\:0633\:0631\:0639\:062a\:200c\:0632\:0627\:0648\:064a\:0647\:200c\
\:0627\:064a\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], ",", "t"}], "}"}], "/.", "sol"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "30"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.425357321375*^9, 3.425357323515625*^9}, {
  3.425358208125*^9, 3.42535820890625*^9}, {3.42535864059375*^9, 
  3.42535866421875*^9}, {3.4253608435625*^9, 3.425360936078125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], "/.", "sol"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "10", ",", "635"}], "}"}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<\!\(\*
StyleBox[\"\:0632\:0627\:0648\:064a\:0647\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"\:0633\:0631\:0639\:062a\:200c\:0632\:0627\:0648\:064a\:0647\:200c\
\:0627\:064a\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.425358237578125*^9, 3.42535823896875*^9}, 
   3.425358677640625*^9}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{504, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 137, 2, 31, "Input"],
Cell[697, 24, 659, 20, 31, "Input"],
Cell[1359, 46, 816, 22, 52, "Input"],
Cell[2178, 70, 1172, 35, 96, "Input"],
Cell[3353, 107, 890, 27, 92, "Input"],
Cell[4246, 136, 804, 22, 52, "Input"],
Cell[5053, 160, 1210, 35, 76, "Input"],
Cell[6266, 197, 816, 24, 76, "Input"],
Cell[7085, 223, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)

