(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6733,        220]
NotebookOptionsPosition[      6263,        201]
NotebookOutlinePosition[      6605,        216]
CellTagsIndexPosition[      6562,        213]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "''"}], "[", "t", "]"}], "-", 
     RowBox[{"a", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], "^", "2"}]}], ")"}], 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{"x", "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{"b", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"w", " ", "t"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"w", "\[Rule]", "1"}], ",", 
     RowBox[{"a", "\[Rule]", ".05"}], ",", 
     RowBox[{"b", "\[Rule]", ".1"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"w", "\[Rule]", "2.466"}], ",", 
     RowBox[{"a", "\[Rule]", "5"}], ",", 
     RowBox[{"b", "\[Rule]", "5"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.422120797921875*^9, 3.4221207980625*^9}, 
   3.422120835375*^9}],

Cell[BoxData[
 RowBox[{"Sol1", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eq", ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.",
      "val1"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"100", " ", "2", 
       RowBox[{"Pi", "/", "1"}]}]}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.422120828828125*^9, 3.422120848875*^9}, {
  3.425038319875*^9, 3.425038321625*^9}, {3.42535658865625*^9, 
  3.425356590328125*^9}}],

Cell[BoxData[{
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], "/.", "Sol1"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"\:0632\:0627\:0648\:064a\:0647\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"\:0633\:0631\:0639\:062a\:200c\:0632\:0627\:0648\:064a\:0647\:200c\
\:0627\:064a\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], ",", "t"}], "}"}], "/.", "Sol1"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "100"}], "}"}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "GoldenRatio"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.42535736303125*^9, 3.425357364171875*^9}}],

Cell[BoxData[
 RowBox[{"Sol2", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eq", ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.",
      "val2"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "180"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.422120928625*^9, 3.42212094965625*^9}, {
  3.425038332515625*^9, 3.42503833446875*^9}, {3.4253566013125*^9, 
  3.425356602125*^9}}],

Cell[BoxData[{
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], "/.", "Sol2"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "180"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"\:0632\:0627\:0648\:064a\:0647\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"\:0633\:0631\:0639\:062a\:200c\:0632\:0627\:0648\:064a\:0647\:200c\
\:0627\:064a\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}], ",", "t"}], "}"}], "/.", "Sol2"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "20"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.425357380171875*^9, 3.42535738159375*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{504, 651},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 73, 1, 31, "Input"],
Cell[633, 23, 1052, 33, 72, "Input"],
Cell[1688, 58, 798, 24, 52, "Input"],
Cell[2489, 84, 1138, 34, 96, "Input"],
Cell[3630, 120, 737, 22, 52, "Input"],
Cell[4370, 144, 1077, 33, 76, "Input"],
Cell[5450, 179, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)

