(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      5338,        171]
NotebookOptionsPosition[      4947,        154]
NotebookOutlinePosition[      5289,        169]
CellTagsIndexPosition[      5246,        166]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425359372796875*^9, 3.42535940459375*^9}, 
   3.425359441703125*^9}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Theta]", ".."], TraditionalForm]],
  FontSize->36],
 StyleBox["+ \[Gamma] ",
  FontSize->36],
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[Theta]", "."], TraditionalForm]],
  FontSize->36],
 StyleBox[" + Sin[t] = \[Alpha] Cos[\[Omega] t]",
  FontSize->36]
}], "Text",
 CellChangeTimes->{{3.425359789953125*^9, 3.425359868640625*^9}, {
  3.4253599119375*^9, 3.425359920453125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"x", "''"}], "[", "t", "]"}], "+", 
     RowBox[{"\[Gamma]", " ", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "+", 
     RowBox[{"Sin", "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"Cos", "[", 
      RowBox[{"\[Omega]", " ", "t"}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"val1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"\[Alpha]", "\[Rule]", ".9"}], ",", 
     RowBox[{"\[Omega]", "\[Rule]", "2.3"}], ",", 
     RowBox[{"\[Gamma]", "\[Rule]", ".5"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.42535925890625*^9, 3.425359363484375*^9}, {
   3.42535944940625*^9, 3.42535945509375*^9}, {3.425359503796875*^9, 
   3.425359699328125*^9}, 3.425361395546875*^9, {3.42536150128125*^9, 
   3.425361505265625*^9}, {3.425361784359375*^9, 3.425361785421875*^9}}],

Cell[BoxData[{
 RowBox[{"nds1", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"eq", ",", 
       RowBox[{
        RowBox[{"x", "[", "0", "]"}], "\[Equal]", "0"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"x", "'"}], "[", "0", "]"}], "\[Equal]", "0"}]}], "}"}], "/.",
      "val1"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "1000"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], ",", 
      RowBox[{
       RowBox[{"x", "'"}], "[", "t", "]"}]}], "}"}], "/.", "nds1"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "10", ",", "100"}], "}"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"\:0632\:0627\:0648\:064a\:0647\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\"", ",", "\"\<\!\(\*
StyleBox[\"\:0633\:0631\:0639\:062a\:200c\:0632\:0627\:0648\:064a\:0647\:200c\
\:0627\:064a\",
FontSize->18,
FontColor->RGBColor[1, 0, 0]]\)\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot3D", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], "/", "2"}], "\[Pi]"}], ",", 
       RowBox[{
        RowBox[{"x", "'"}], "[", "t", "]"}], ",", 
       RowBox[{"\[Omega]", " ", 
        RowBox[{"t", "/", "2"}], "\[Pi]"}]}], "}"}], "/.", "nds1"}], "/.", 
    "val1"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "20"}], "}"}], ",", 
   RowBox[{"BoxRatios", "\[Rule]", ".1"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4253594963125*^9, 3.425359502375*^9}, {
  3.425359967921875*^9, 3.425360002890625*^9}, {3.4253600635*^9, 
  3.42536007053125*^9}, {3.42536099946875*^9, 3.42536102309375*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{615, 527},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 164, 3, 31, "Input"],
Cell[724, 25, 443, 15, 59, "Text"],
Cell[1170, 42, 944, 25, 52, "Input"],
Cell[2117, 69, 2014, 61, 137, "Input"],
Cell[4134, 132, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)

